# Generated by Django 4.2b1 on 2023-03-12 20:13

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("app", "0002_telegramuser"),
    ]

    operations = [
        migrations.CreateModel(
            name="BankAccount",
            fields=[
                ("id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("amount", models.DecimalField(decimal_places=2, max_digits=20)),
                (
                    "telegram_user",
                    models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to="app.telegramuser"),
                ),
            ],
            options={
                "db_table": "BankAccounts",
            },
        ),
        migrations.CreateModel(
            name="BankCard",
            fields=[
                ("id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("bank_account", models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to="app.bankaccount")),
            ],
            options={
                "db_table": "BankCards",
            },
        ),
    ]
